
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>解析Java的可变长参数列表及其使用时的注意点_java / iVAN</title>

    <meta name="description" content="解析Java的可变长参数列表及其使用时的注意点_java Java 可变参数列表 复制代码 代码如下: class A {} 由于所有的类都继承于Object,可以以Object数组为参数的方法: public class parameter { static void printArray(Object[] args){ for(Object obj : args){ System.out.print(obj + &quot; &quot;); } System.out.println(); } public static void main(Str ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">解析Java的可变长参数列表及其使用时的注意点_java</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>Java 可变参数列表</strong></p>
<p><u>复制代码</u> 代码如下:</p>
<p>class A {}</p>
<p>由于所有的类都继承于Object，可以以Object数组为参数的方法：</p>
<pre>
public class parameter {
  static void printArray(Object[] args){
    for(Object obj : args){
      System.out.print(obj + " ");
    }
    System.out.println();
  }

  public static void main(String[] args){
    printArray(new Object[] {
        new Integer(47), new Float(3.14), new Double(11.11)
    });
    printArray(new Object[]{"one", "two", "there"});
    printArray(new Object[]{new A(), new A(), new A()});
  }
}
</pre>
<p>对于Java SE5之后版本添加了特性可以如此写：</p>
<pre>
public class parameter {
  public static void printArray(Object... args){
    for(Object obj : args){
      System.out.print(obj + " ");
    }
    System.out.println();
  }

  public static void main(String[] args){
    printArray(new Integer(47), new Float(3.14), new Double(11.11));
    printArray(47, 3.14F, 11.11);
    printArray("one", "two", "three");
    printArray(new A(), new A(), new A());
    printArray((Object[]) new Integer[]{1, 2, 3, 4});
    printArray();
  }
}
</pre>
<p>可以使用Object以为的参数列表：</p>
<pre>
public class VarargType{
  static void f(Character... args){
    System.out.print(args.getClass());
    System.out.println(" length " + args.length);
  }

  static void g(int... args){
    System.out.print(args.getClass());
    System.out.println(" length " + args.length);
  }

  public static void main(String[] args){
    f('a');
    f();
    g(1);
    g();
    System.out.println(" int [] " + new int[0].getClass());
  }
}
</pre>
<p>这是 Java 5 引入的一个特性，如果一个方法要接收的参数数量是不确定的，那么这个特性就可以派上用场了。</p>
<p>比如，在涉及IO操作的地方，基本上至少需要关闭两个流：输入、输出，我喜欢把流关闭的操作封装成下面的方法，这样只需一次调用就可以关闭多个流。</p>
<pre>
public static void closeSilent(Closeable... closeables) {
   for (Closeable closeable : closeables) {
     if (closeable != null) {
        try {
          closeable.close();
        } catch (IOException ignored) {
        }
     }
   }
}
</pre>
<p>这是我觉得这个特性唯一适合使用的地方，具备下面的特点：</p>
<p>这些参数具有相同的类型；<br />
参数数量不确定，每一个都是可选的；<br />
这些参数的用途都是一样的，比如上面都是执行关闭。<br />
Java 可变长参数列表只能放在方法参数列表的最后。</p>
<p><strong>Java可变长参数列表的实现</strong></p>
<p>Java可变长参数列表的实现是通过编译器把把这些参数封装成一个数组来传递的。</p>
<p>比如上面的方法的签名实际上是：　closeSilent(Closeable[] closeables) void 。</p>
<p><strong>踩坑</strong></p>
<p>有个方法，被 A、B 两个地方 A、B 调用，9 月，在 A 这里需要增加一个参数，当时脑子一抽疯，决定用可变长参数列表，觉得 B 那里不用改简单点，坑就这样埋下了。</p>
<p>最近要求 B 这里要新增两个参数，那就在方法的参数列表里继续加参数，这些参数的类型是不同的，所以可变长参数列表声明成 Object 类型的。</p>
<p>第一个坑就是在这个方法内取可变长参数的元素时，没考虑到有的参数是没传的，直接爆数组越位的异常了。马上就觉得可变长参数列表的不好了，那就不用了呗，改为常规的固定形式的参数传递。</p>
<p>改完之后，在测试环境测了都没问题。把生产环境的几个类替换之后，结果却报错了，方法找不到，一看方法签名，还是数组的，没有替换到。从源码看，那个调用的地方不需要更改，所以没想到要替换；由于测试环境是全量打包，所以不会出现问题。</p>
<p>方法的签名是在编译的时候就确定了的，源码层面看起来不需要改的不表示编译后的类也不需要替换了。</p>
<p>其实以前也听到过，在这种发包不规范的情况下，把源码里的一个常量值改了之后，只替换了这个定义常量的类文件，没有把所有引用这个常量的类文件重新编译替换，导致出现莫名其妙的问题。跟方法签名的情况本质上是一样的问题。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索java<br />
                    ，                可变参数<br />
                                    可变参数列表<br />
                                    化妆品使用时注意事项、三唑酮使用时注意、可变参数列表、c 可变参数列表、java 可变参数列表，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 08:24:21</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/%e5%8f%af%e5%8f%98%e5%8f%82%e6%95%b0/" title="可变参数">可变参数</a>, <a href="https://www.iamivan.net/tag/%e5%8f%af%e5%8f%98%e5%8f%82%e6%95%b0%e5%88%97%e8%a1%a8/" title="可变参数列表">可变参数列表</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>解析Java的可变长参数列表及其使用时的注意点_java的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVNNYQz.html" rel="bookmark">代码-关于可变长参数列表的几个问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于可变长参数列表的几个问题 比如 public static void printMax(double...numbers) 如果要运用到代码中是什么意思? 还有这几个方法声明错在哪里? public static void print(String...strings, double...numbers) public static void print(double...numbers, String name) public static double...print(doub			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMyWjlz.html" rel="bookmark">Python中函数的参数传递与可变长参数介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了Python中函数的参数传递与可变长参数介绍,本文分别给出多个代码实例来讲解多种多样的函数参数,需要的朋友可以参考下 1.Python中也有像C++一样的默认缺省函数 代码如下: def foo(text,num=0): print text,num foo(&quot;asd&quot;) #asd 0 foo(&quot;def&quot;,100) #def 100 定义有默认参数的函数时,这些默认值参数 位置必须都在非默认值参数后面. 调用时提供默认值参数值时,使用提供的值,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg0m6Op.html" rel="bookmark">JDK5&period;0新特性系列---5&period;可变长参数Varargs</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				      /**  * 在J2SE5.0之前,当传入到方法的参数个数不固定时,经常采用数组的方式传递参数  * 在J2SE5.0之后,可以使用可变长参数的我给方法传递参数  */ /**  * 在参数类型和参数名之间使用&quot;...&quot;(三个英文的点),表示该参数为可变长的  * 通过新的for循环读取可变长参数中的值  * 一个方法里最多只能有一个变长参数,而且这个变长参数一定要放在参数表的最后一个参数 */ import static java.lang.System.*; publi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQLm8Oz.html" rel="bookmark">Python中函数的参数传递与可变长参数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Python中也有像C++一样的默认缺省函数 1 def foo(text,num=0): 2 print text,num 3 4 foo(&quot;asd&quot;) #asd 0 5 foo(&quot;def&quot;,100) #def 100 定义有默认参数的函数时,这些默认值参数位置必须都在非默认值参数后面. 调用时提供默认值参数值时,使用提供的值,否则使用默认值. 2.Python可以根据参数名传参数 1 def foo(ip,port): 2 print &quot;%s:%d			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr7dgjp.html" rel="bookmark">javascript 利用arguments实现可变长参数&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				javascript arguments解释,实现可变长参数. 在C#中,有可变长参数params[],但是在js中,如何实现这种可变参数呢? 一.可变长参数 arguments是非常好的解决方法,一直不知道javascript有这个东西. 先来看看应用场景,使用arguments传入任意个数的参数到js函数里的写法. function Test() { console.log(arguments[0]); console.log(arguments[1]); console.log(argum			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmVeqp.html" rel="bookmark">JAVA不可变类&lpar;immutable&rpar;机制与String的不可变性&lpar;推荐&rpar;&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.不可变类简介 不可变类:所谓的不可变类是指这个类的实例一旦创建完成后,就不能改变其成员变量值.如JDK内部自带的很多不可变类:Interger.Long和String等. 可变类:相对于不可变类,可变类创建实例后可以改变其成员变量值,开发中创建的大部分类都属于可变类. 二.不可变类的优点 说完可变类和不可变类的区别,我们需要进一步了解为什么要有不可变类?这样的特性对JAVA来说带来怎样的好处? 1.线程安全 不可变对象是线程安全的,在线程之间可以相互共享,不需要利用特殊机制来保证同步问题,因			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBkYDAM.html" rel="bookmark">深入解析Java并发程序中线程的同步与线程锁的使用&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				synchronized关键字 synchronized,我们谓之锁,主要用来给方法.代码块加锁.当某个方法或者代码块使用synchronized时,那么在同一时刻至多仅有有一个线程在执行该段代码.当有多个线程访问同一对象的加锁方法/代码块时,同一时间只有一个线程在执行,其余线程必须要等待当前线程执行完之后才能执行该代码段.但是,其余线程是可以访问该对象中的非加锁代码块的. synchronized主要包括两种方法:synchronized 方法.synchronized 块. synchron			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWomaz.html" rel="bookmark">解析Java中的队列和用LinkedList集合模拟队列的方法&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				API中对队列的说明:   public interface Queue&lt;E&gt; extends Collection&lt;E&gt; 在处理元素前用于保存元素的 collection.除了基本的 Collection 操作外,队列还提供其他的插入.提取和检查操作.每个方法都存在两种形式:一种抛出异常(操作失败时),另一种返回一个特殊值(null 或 false,具体取决于操作).插入操作的后一种形式是用于专门为有容量限制的 Queue 实现设计的:在大多数实现中,插入操作不会失败. 队列通常			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2PxRZp.html" rel="bookmark">解析Java程序中对象内存的分配和控制的基本方法&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.对象与内存控制的知识点 1.java变量的初始化过程,包括局部变量,成员变量(实例变量和类变量). 2.继承关系中,当使用的对象引用变量编译时类型和运行时类型不同时,访问该对象的属性和方法是有区别的. 3.final修饰符特性. 二.java变量的划分与初始化过程 java程序的变量大体可以分为成员变量和局部变量,成员变量可以分为实例变量(非静态变量)和类变量(静态变量),一般我们遇到的局部变量会在下列几种情况中出现: (1)形参:在方法签名中定义的局部变量,由调用方为其赋值,随着方法结束消			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAAmvM.html" rel="bookmark" class="title">c&plus;&plus;-求份C&plus;&plus;运算器，需要基本云运算关系运算逻辑运算位运算进制转换功能</a>
					<div>
						问题描述 求份C++运算器,需要基本云运算关系运算逻辑运算位运算进制转换功能 1基本运算功能 主要包括:加.减,乘.除.取余.自增.自减等. 2．关系运算功能 主要包括:大于.大等于.小于.小等于.等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boJmXz.html" rel="bookmark" class="title">彻底搞定JSP的在线人数</a>
					<div>
						js|在线|在线人数 /**这是管理user信息的类 文件名为onLineUser.java 欢迎访问javajia家(http://www.javajia.com),由yuking制作.2001.1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAXwXb.html" rel="bookmark" class="title">php设计模式 &mdash; 抽象工厂模式</a>
					<div>
						在什么情况下应当使用抽象工厂模式: 1.一个系统不应当依赖于产品类实例如何被创建.组合和表达的细节,这对于所有的形态的工厂模式都是重要的. 2.这个系统的产品有多余一个的产品族,而系统只消费其中某一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLLKWp.html" rel="bookmark" class="title">Java编写中容易搞错的一些东西</a>
					<div>
						1)instanceof:实现了某接口的类的对象也是该接口的实例:某类的对象也是该类超类的实例. 2)native()修饰的方法没有方法体,用一个分号&quot;:&quot;代替大括号. 3)mai ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRmXGb.html" rel="bookmark" class="title">Fireworks钢笔工具教程</a>
					<div>
						钢笔也许是Fireworks中功能最为强大的工具. 在下面的实例中,我将演示钢笔工具在绘制各种不同图形时候的一些典型使用方法. 例1:多边形 在此例中,选择钢笔工具,在画布的各个区域里,不断单击并松开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOL53b.html" rel="bookmark" class="title">百度手机输入法形象设计</a>
					<div>
						大赛&quot;&gt; 设计师背后总有一群指点江山的人,殊不知设计师在设计的过程中是融入了许多思考和无奈-- 拿百度手 机输入法形象&quot;小毛笔&quot;来说,每一步的设计都有它的意义所在! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ballWQz.html" rel="bookmark" class="title">Prototype实战教程 9&period;Array</a>
					<div>
						&lt;script src=&quot;prototype.js&quot;&gt;&lt;/script&gt; &lt;script&gt; /**//*var arr = [1,2,3,4,8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yA9Qz.html" rel="bookmark" class="title">Linux下安装MySQL出现&OpenCurlyDoubleQuote;ls&colon; &sol;var&sol;lib&sol;mysql&sol;&ast;&period;pid&colon; 没有那个文件或目录&rdquo;</a>
					<div>
						环境 RedHat Linux 9 + VWWare 8.0 + SSH 3.2.9 + Putty 0.62 + MySQL 3.2 + MySQL 5.5 问题 Linux下安装MySQL出现如下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPwY7M.html" rel="bookmark" class="title">如何使用ASP&period;NET SqlPager分页控件</a>
					<div>
						SqlPager分页控件是一个多功能灵活的分页控件,原理是利用了PagedDataSource()数据源进行分页处理,现此控件已集成于Winson.Framework框架里(以下简称WF),同时也使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyEkxb.html" rel="bookmark" class="title">iPhone5连接iPad iOS版WPS Office 共享播放初体验</a>
					<div>
						在WPS Office移动版用户长久的期待中,我们终于迎来了iOS版WPS Office.产品在App Store上架不久就收获大量用户下载,并在当日即获得中国区商业类软件排行榜免费APP第一名的成绩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7OXZM.html" rel="bookmark" class="title">perl中使用signal&lpar;信号&rpar;实例</a>
					<div>
						  这篇文章主要介绍了perl中使用signal(信号)实例,本文讲解了信号的相关知识以,并给出了perl代码实例,需要的朋友可以参考下 使用signal,能让你的程序功能更丰富.要在Linux下列出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkkwOb.html" rel="bookmark" class="title">Photoshop简单实现黑白风格照片</a>
					<div>
						在美国俄勒冈州一个雾气弥漫的清晨,万里雪原在冬季寒意中寂静而庄严,整个大地在这一刻充满神秘感.白桦树在晨曦与雾霭的交织中静静地伫立,犹如时间凝固了一般.只有白桦树的枝干在风中发出干涩的挤压声,像是古老 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWvZRb.html" rel="bookmark" class="title">windows7系统基本入门介绍</a>
					<div>
						  Windows 7 (以下简称&quot;win7&quot;) 是由微软公司开发的,具有革命性变化的操作系统.该系统旨在让人们的日常电脑操作更加简单和快捷,为人们提供高效易行的工作环境.2010 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLarJaz.html" rel="bookmark" class="title">java我写的这个求水仙花数为什么算不出来</a>
					<div>
						问题描述 java我写的这个求水仙花数为什么算不出来 import java.util.Scanner; public class Task1{ public static void main(Str ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6wl3b.html" rel="bookmark" class="title">Android 中HttpURLConnection与HttpClient使用的简单实例&lowbar;Android</a>
					<div>
						1:HttpHelper.java 复制代码 代码如下: public class HttpHelper {    //1:标准的Java接口    public static String getS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Y6DrM.html" rel="bookmark" class="title">《C程序员从校园到职场》一第1章 概述1&period;1　C语言的发展历史</a>
					<div>
						第1章 概述 C程序员从校园到职场 本章介绍C语言的发展历史和主要特点,以及实际项目工作中软件开发工程师常用到的工具软件. 1.1 C语言的发展历史 1.1.1 C语言之父 C语言是1972年由美国贝 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b329KAz.html" rel="bookmark" class="title">只需实现点播，直播rtsp，录制功能的流媒体服务器，有什么方案</a>
					<div>
						问题描述 只需实现点播,直播rtsp,录制功能的流媒体服务器,有什么方案 如果要做一个实现 点播,直播rtsp流,保存rtsp流为视频文件,转发的一个流媒体服务器 有什么好的方案呢,可以怎么实现.我的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8k5YBM.html" rel="bookmark" class="title">照关月：淘宝&OpenCurlyDoubleQuote;10000亿&rdquo;背后的深思！</a>
					<div>
						&quot;2012年11月30日21时50分18秒,淘宝.天猫年成交额突破10000亿大关!&quot;. 以2011年社会消费品零售总额的排名统计,淘宝加天猫的成交额仅次于广东.山东.江苏.浙江四 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwKW7p.html" rel="bookmark" class="title">《HTML5 Canvas游戏开发实战》&mdash;&mdash;2&period;5　小结</a>
					<div>
						2.5 小结 本章主要介绍了如何直接使用Canvas的绘图API进行基本图形.文字及图片的绘制.这些都属于最基本的图形绘制,因为它们不包括任何变形.但是这些看似简单的图形却是一切高级图形的基础,无论多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQEYNp.html" rel="bookmark" class="title">c&num;多线程访问同一个dll&lpar;delphi写的动态连接库&rpar;接口数据冲突干扰导致dll返回数据不对</a>
					<div>
						问题描述 我代码情况是这样的A按扭创了一组多线程B按钮创建了一组多线程A与B同时访问这个dll接口数据冲突干扰导致dll返回数据不对 解决方案 本帖最后由 yyy520 于 2015-12-02 14 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7B5Jp.html" rel="bookmark" class="title">webwork&plus;spring&plus;hibernate案例</a>
					<div>
						问题描述 webwork+spring+hibernate案例,特别是xwork.xml 解决方案 解决方案二:没用过webwork,帮你顶解决方案三:高手在那?解决方案四:干嘛还用Webwork用S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWyZkz.html" rel="bookmark" class="title">孙剑亲自撰文：我在 Face&plus;&plus; 的这半年</a>
					<div>
						2016年,就我个人来讲,所做出的最重大抉择,就是在已经工作了十三年的微软研究院(以下简称MSR),和一个成立不过几年的创业公司--Face++旷视科技(以下简称Face++)之间,选择了后者,并且以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKVrdb.html" rel="bookmark" class="title">适合宅男的小游戏 偷窥美女App创意无限</a>
					<div>
						玩惯了常规的游戏,都觉得没有什么新意?好吧,那你可以尝试下今天的这款rack stare见机行事的游戏,rack stare见机行事是App Store上很受欢迎,一定能让你眼前一亮.小游戏具有非常搞 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXRxyz.html" rel="bookmark" class="title">系统备份与恢复：双系统xp与vista</a>
					<div>
						一. 保留c盘vista和一键还原功能, 在其他盘安装xp的方法 1. 网上下载两个软件: 1). http://www.aliyun.com/zixun/aggregation/11208.html ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWW2g7M.html" rel="bookmark" class="title">js-怎么将aspx页面指定内容导成excel报表</a>
					<div>
						问题描述 怎么将aspx页面指定内容导成excel报表 我想用JS 或者jquery 做一个导报表功能,求教,要各大浏览器都支持的 解决方案 datatable直接转					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Jaq0z.html" rel="bookmark" class="title">VB&period;NET动态添加控件遇到问题，求助</a>
					<div>
						问题描述 我想点击一个名为&quot;新建页面&quot;的按钮,就会新建一个Tabpage,同时在新建的Tabpage中添加一个按钮控件.我写的代码可以实现点击一次后,会新建一个Tabpage,然后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgDnWM.html" rel="bookmark" class="title">ERP系统BETA测试攻略</a>
					<div>
						关于ERP,关于BETA测试理论性的文章太多了,看多了就是两种结果,经历过的只当看过了,没经历过的还是不知道怎么做.最近产品要发版了,准备开展BETA测试,10余家的BETA测试项目,无奈新人太多,怎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLyaLM.html" rel="bookmark" class="title">javascript怎么获取当前选中的行的值</a>
					<div>
						问题描述 javascript怎么获取当前选中的行的值 解决方案 解决方案二:for一下嘛解决方案三:functiongetRowValue(chk){//debugger;//if(sender.c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgeyoM.html" rel="bookmark" class="title">【ArcGis for javascript从零开始】之一 ArcGis加载天地图</a>
					<div>
						原文:[ArcGis for javascript从零开始]之一 ArcGis加载天地图 最近做项目需要用到ArcGis来进行数据展示和数据分析.以前从来没有接触过与Gis有关的东西,一切需要从头开始 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEg3nM.html" rel="bookmark" class="title">关于Java的分页算法</a>
					<div>
						问题描述 使用分页类,直接调用就可以,代码如下:packagecom.godwin.news.util;importjava.io.UnsupportedEncodingException;impor ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
